> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payout by ID

This request enables you to retrieve details of a payout based on their `id`, which needs to be provided in the request path.


## OpenAPI

````yaml openapi/payouts/retrieve-payout-by-id.json GET /payouts/{payout_id}
openapi: 3.1.0
info:
  title: payouts
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payouts/{payout_id}:
    get:
      summary: Retrieve Payout by ID
      operationId: retrieve-payout-by-id
      parameters:
        - in: path
          name: payout_id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1c58426d-2c1b-4476-b3c0-447a8c683466
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    status: SUCCEEDED
                    merchant_reference: MR-Test-123
                    purpose: ''
                    country: US
                    description: Test
                    amount:
                      currency: USD
                      value: 100
                    beneficiary:
                      merchant_beneficiary_id: test_merchant_deposit_id
                      national_entity: INDIVIDUAL
                      first_name: John
                      last_name: Doe
                      legal_name: John Doe
                      email: john.doe@email.com
                      country: US
                      date_of_birth: '1980-01-01'
                      document:
                        document_type: SSN
                        document_number: 123-45-6789
                      phone:
                        country_code: '1'
                        number: '1234567890'
                      address:
                        address_line_1: 123 Main St
                        address_line_2: Apt 1
                        country: US
                        state: NY
                        city: New York
                        zip_code: '10001'
                    metadata: []
                    created_at: '2024-05-27T15:14:19.012803Z'
                    updated_at: '2024-05-27T15:14:20.577061Z'
                    transactions:
                      - id: 30c91532-5777-410a-887f-ccfdcc7c7b1b
                        status: SUCCEEDED
                        type: ASTROPAY_PAYOUT
                        response_code: SUCCEEDED
                        merchant_reference: MR-Test-123
                        purpose: ''
                        description: Test
                        amount:
                          currency: USD
                          value: 100
                        withdrawal_method:
                          type: ASTROPAY_PAYOUT
                          detail:
                            bank_transfer: null
                            wallet:
                              code: h15sg84U6rCl
                              email: null
                              country: null
                              document: null
                              phone: null
                        provider_data:
                          id: ASTROPAY
                          transaction_id: '32375'
                          account_id: ''
                          beneficiary_id: test_merchant_deposit_id
                          status: APPROVED
                          status_detail: APPROVED
                          raw_response: >-
                            "{\n  \"cashout_id\" : 32375,\n 
                            \"merchant_cashout_id\" :
                            \"30c91532-5777-410a-887f-ccfdcc7c7b1b\",\n 
                            \"status\" : \"APPROVED\",\n  \"user_id\" :
                            \"h15sg84U6rCl\"\n}"
                        created_at: '2024-05-27T15:14:19.574485Z'
                        updated_at: '2024-05-27T15:14:20.577057Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 1c58426d-2c1b-4476-b3c0-447a8c683466
                  account_id:
                    type: string
                    example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                  status:
                    type: string
                    example: SUCCEEDED
                  merchant_reference:
                    type: string
                    example: MR-Test-123
                  purpose:
                    type: string
                    example: ''
                  country:
                    type: string
                    example: US
                  description:
                    type: string
                    example: Test
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: USD
                      value:
                        type: integer
                        example: 100
                        default: 0
                  beneficiary:
                    type: object
                    properties:
                      merchant_beneficiary_id:
                        type: string
                        example: test_merchant_deposit_id
                      national_entity:
                        type: string
                        example: INDIVIDUAL
                      first_name:
                        type: string
                        example: John
                      last_name:
                        type: string
                        example: Doe
                      legal_name:
                        type: string
                        example: John Doe
                      email:
                        type: string
                        example: john.doe@email.com
                      country:
                        type: string
                        example: US
                      date_of_birth:
                        type: string
                        example: '1980-01-01'
                      document:
                        type: object
                        properties:
                          document_type:
                            type: string
                            example: SSN
                          document_number:
                            type: string
                            example: 123-45-6789
                      phone:
                        type: object
                        properties:
                          country_code:
                            type: string
                            example: '1'
                          number:
                            type: string
                            example: '1234567890'
                      address:
                        type: object
                        properties:
                          address_line_1:
                            type: string
                            example: 123 Main St
                          address_line_2:
                            type: string
                            example: Apt 1
                          country:
                            type: string
                            example: US
                          state:
                            type: string
                            example: NY
                          city:
                            type: string
                            example: New York
                          zip_code:
                            type: string
                            example: '10001'
                  metadata:
                    type: array
                  created_at:
                    type: string
                    example: '2024-05-27T15:14:19.012803Z'
                  updated_at:
                    type: string
                    example: '2024-05-27T15:14:20.577061Z'
                  transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 30c91532-5777-410a-887f-ccfdcc7c7b1b
                        status:
                          type: string
                          example: SUCCEEDED
                        type:
                          type: string
                          example: ASTROPAY_PAYOUT
                        response_code:
                          type: string
                          example: SUCCEEDED
                        merchant_reference:
                          type: string
                          example: MR-Test-123
                        purpose:
                          type: string
                          example: ''
                        description:
                          type: string
                          example: Test
                        amount:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            value:
                              type: integer
                              example: 100
                              default: 0
                        withdrawal_method:
                          type: object
                          properties:
                            type:
                              type: string
                              example: ASTROPAY_PAYOUT
                            detail:
                              type: object
                              properties:
                                bank_transfer: {}
                                wallet:
                                  type: object
                                  properties:
                                    code:
                                      type: string
                                      example: h15sg84U6rCl
                                    email: {}
                                    country: {}
                                    document: {}
                                    phone: {}
                        provider_data:
                          type: object
                          properties:
                            id:
                              type: string
                              example: ASTROPAY
                            transaction_id:
                              type: string
                              example: '32375'
                            account_id:
                              type: string
                              example: ''
                            beneficiary_id:
                              type: string
                              example: test_merchant_deposit_id
                            status:
                              type: string
                              example: APPROVED
                            status_detail:
                              type: string
                              example: APPROVED
                            raw_response:
                              type: string
                              example: >-
                                "{\n  \"cashout_id\" : 32375,\n 
                                \"merchant_cashout_id\" :
                                \"30c91532-5777-410a-887f-ccfdcc7c7b1b\",\n 
                                \"status\" : \"APPROVED\",\n  \"user_id\" :
                                \"h15sg84U6rCl\"\n}"
                        created_at:
                          type: string
                          example: '2024-05-27T15:14:19.574485Z'
                        updated_at:
                          type: string
                          example: '2024-05-27T15:14:20.577057Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                  summary: Bad Request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````